package com.danding.yang800;

import android.os.Bundle;
import android.support.v4.content.ContextCompat;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.TextView;

import com.danding.yang800.Util.StatusColorUtil;
import com.danding.yang800.View.XScrollView;
import com.yanzhenjie.sofia.Sofia;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
/**
 *关于页
 * */
public class AboutActivity extends BaseActivity {
    @BindView(R.id.about_backTv)
    TextView about_backTv;
    @BindView(R.id.about_scrollView)
    XScrollView about_scrollView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
//        int type = StatusColorUtil.StatusBarLightMode(this);
//        if (type > 0) {
//            StatusColorUtil.setStatusBarColor(this, R.color.white);
//            StatusColorUtil.StatusBarLightMode(this, type);
//        }
        setContentView(R.layout.activity_about);
        Sofia.with(this).statusBarDarkFont().statusBarBackground(ContextCompat.getColor(this, R.color.white));
        ButterKnife.bind(this);
        about_scrollView.setPullRefreshEnable(false);
        about_scrollView.setPullLoadEnable(false);
        View content = LayoutInflater.from(this).inflate(R.layout.about_content, null);
        about_scrollView.setView(content);
    }

    @OnClick({R.id.about_backTv})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.about_backTv:
                finish();
                break;
        }
    }

}
